# Class StartXmrNodeRequest

#### Hierarchy

- unknown
  - StartXmrNodeRequest

- Defined in src/protobuf/grpc_pb.d.ts:1284
- Defined in src/protobuf/grpc_pb.d.ts:1298

#####
Index

### Constructors

constructor

### Methods

clearSettings
getSettings
hasSettings
serializeBinary
setSettings
toObject
deserializeBinary
deserializeBinaryFromReader
serializeBinaryToWriter
toObject

## Constructors

### constructor

- new StartXmrNodeRequest(): StartXmrNodeRequest

- #### Returns StartXmrNodeRequest

  Inherited from jspb.Message.constructor

## Methods

### clearSettings

- clearSettings(): StartXmrNodeRequest

- #### Returns StartXmrNodeRequest

  - Defined in src/protobuf/grpc_pb.d.ts:1288

### getSettings

- getSettings(): undefined | XmrNodeSettings

- #### Returns undefined | XmrNodeSettings

  - Defined in src/protobuf/grpc_pb.d.ts:1285

### hasSettings

- hasSettings(): boolean

- #### Returns boolean

  - Defined in src/protobuf/grpc_pb.d.ts:1287

### serializeBinary

- serializeBinary(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/grpc_pb.d.ts:1290

### setSettings

- setSettings(value?: XmrNodeSettings): StartXmrNodeRequest

- #### Parameters

  - ##### `Optional` value: XmrNodeSettings

  #### Returns StartXmrNodeRequest

  - Defined in src/protobuf/grpc_pb.d.ts:1286

### toObject

- toObject(includeInstance?: boolean): StartXmrNodeRequest.AsObject

- #### Parameters

  - ##### `Optional` includeInstance: boolean

  #### Returns StartXmrNodeRequest.AsObject

  - Defined in src/protobuf/grpc_pb.d.ts:1291

### `Static` deserializeBinary

- deserializeBinary(bytes: Uint8Array): StartXmrNodeRequest

- #### Parameters

  - ##### bytes: Uint8Array

  #### Returns StartXmrNodeRequest

  - Defined in src/protobuf/grpc_pb.d.ts:1294

### `Static` deserializeBinaryFromReader

- deserializeBinaryFromReader(message: StartXmrNodeRequest, reader: BinaryReader): StartXmrNodeRequest

- #### Parameters

  - ##### message: StartXmrNodeRequest

  - ##### reader: BinaryReader

  #### Returns StartXmrNodeRequest

  - Defined in src/protobuf/grpc_pb.d.ts:1295

### `Static` serializeBinaryToWriter

- serializeBinaryToWriter(message: StartXmrNodeRequest, writer: BinaryWriter): void

- #### Parameters

  - ##### message: StartXmrNodeRequest

  - ##### writer: BinaryWriter

  #### Returns void

  - Defined in src/protobuf/grpc_pb.d.ts:1293

### `Static` toObject

- toObject(includeInstance: boolean, msg: StartXmrNodeRequest): StartXmrNodeRequest.AsObject

- #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: StartXmrNodeRequest

  #### Returns StartXmrNodeRequest.AsObject

  - Defined in src/protobuf/grpc_pb.d.ts:1292

Generated using TypeDoc